> ## Documentation Index
> Fetch the complete documentation index at: https://docs-model.skyengine.com.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/videos/{video_id}

> 查询视频生成任务的当前状态和进度



## OpenAPI

````yaml GET /v1/videos/{video_id}
openapi: 3.1.0
info:
  title: TokenOps AI API
  description: TokenOps AI API 提供了强大的AI服务能力，包括聊天对话、Gemini模型集成等功能。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://model-api.skyengine.com.cn
    description: TokenOps AI API 生产环境
security: []
paths:
  /v1/videos/{video_id}:
    get:
      summary: 获取视频生成任务状态
      description: 查询视频生成任务的当前状态和进度
      operationId: getVideoStatus
      parameters:
        - name: video_id
          in: path
          required: true
          description: 视频ID
          schema:
            type: string
            example: video_123456789
      responses:
        '200':
          description: 成功获取任务状态
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoStatusResponse'
      security:
        - OpenAIAuth: []
components:
  schemas:
    VideoStatusResponse:
      type: object
      properties:
        id:
          type: string
          description: 视频ID
          example: video_123456789
        object:
          type: string
          enum:
            - video
          description: 对象类型
        created_at:
          type: integer
          format: int64
          description: 创建时间戳
          example: 1741570283
        completed_at:
          type: integer
          format: int64
          description: 完成时间戳
        model:
          type: string
          description: 使用的模型名称
          example: sora-2
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - failed
          description: 任务状态
        progress:
          type: integer
          description: 生成进度百分比（0-100）
          minimum: 0
          maximum: 100
        expires_at:
          type: integer
          format: int64
          description: 过期时间戳
        seconds:
          type: string
          description: 视频时长（秒）
        size:
          type: string
          description: 视频分辨率
          enum:
            - 720x1280
            - 1280x720
          example: 720x1280
        remixed_from_video_id:
          type: string
          description: 源视频ID（如果是remix）
        error:
          $ref: '#/components/schemas/OpenAIVideoError'
          description: 错误信息
    OpenAIVideoError:
      type: object
      properties:
        code:
          type: string
          description: 错误代码
        message:
          type: string
          description: 错误消息
        type:
          type: string
          description: 错误类型
  securitySchemes:
    OpenAIAuth:
      type: http
      scheme: bearer
      description: >-
        OpenAI API密钥认证。在 `Authorization` HTTP Header 中包含您的 API-Key，格式为 `Bearer
        {API_KEY}`

````